package request

type MyChartClassifyAddReq struct {
	ClassifyName string `json:"classify_name"`
}

type MyChartClassifyEditReq struct {
	ClassifyId   int    `json:"classify_id"`
	ClassifyName string `json:"classify_name"`
}

type MyChartClassifyDelReq struct {
	ClassifyId int `json:"classify_id"`
}

type MyChartClassifySortReq struct {
	ClassifyId int `json:"classify_id"`
	Sort       int `json:"sort"`
}

type MyChartRelateClassifyReq struct {
	MyChartId  int `json:"my_chart_id"`
	ClassifyId int `json:"classify_id"`
}

type MyChartCollectReq struct {
	Authorization   string `json:"authorization" form:"authorization"`
	UniqueCode      string `json:"unique_code" form:"unique_code"`
	ReportId        int    `json:"report_id" form:"report_id"`
	ReportChapterId int    `json:"report_chapter_id" form:"report_chapter_id"`
}

type MyChartCollectCancelReq struct {
	Authorization string `json:"authorization" form:"authorization"`
	UniqueCode    string `json:"unique_code" form:"unique_code"`
}

type MyChartIsCollectReq struct {
	Authorization string `json:"authorization" form:"authorization"`
	UniqueCode    string `json:"unique_code" form:"unique_code"`
	//ReportId        int    `json:"report_id" form:"report_id"`
	//ReportChapterId int    `json:"report_chapter_id" form:"report_chapter_id"`
}

type MyChartCollectListReq struct {
	Keyword    string `json:"keyword" form:"keyword" description:"关键词"`
	ClassifyId int    `json:"classify_id" form:"classify_id" description:"图表分类ID"`
	CurrPage   int    `json:"curr_page" form:"curr_page"`
	PageSize   int    `json:"page_size" form:"page_size"`
}

type MyChartCollectLocateReq struct {
	ClassifyId int `json:"classify_id" form:"classify_id" description:"图表分类ID"`
}
