package yb_research_signup_statistics

import "time"

// YbResearchSignupStatistics 调研报名统计结构体
type YbResearchSignupStatistics struct {
	YbResearchSignupStatisticsId int     `json:"yb_research_signup_statistics_id"` // 自动生成的主键ID
	UserId                       int     `json:"user_id"`                            // 分享人ID
	RealName                     string  `json:"real_name"`                         // 分享人姓名
	Mobile                       string  `json:"mobile"`                            // 分享人手机号
	CompanyName                  string  `json:"company_name"`                      // 公司名称
	BannerId                     int     `json:"banner_id"`                          // 活动ID
	CreateTime                   time.Time `json:"create_time"`                     // 创建时间
	Amount                       float64 `json:"amount"`                            // 付款金额
	CustomName                   string  `json:"custom_name"`                       // 报名人姓名
	CustomMobile                 string  `json:"custom_mobile"`                      // 报名人手机号
	CustomCompanyName            string  `json:"custom_company_name"`               // 报名人公司名称
}


func (m *YbResearchSignupStatistics) TableName() string {
	return "yb_research_signup_statistics"
}
