package yb_research_banner

type YbResearchBanner struct {
	YbResearchBannerID uint64    `gorm:"primaryKey;autoIncrement;comment:调研bannerid" json:"yb_research_banner_id"`
	BannerID           int       `gorm:"comment:调研bannerid" json:"banner_id"`
	UserID             int       `gorm:"comment:用户id" json:"user_id"`
	ImgURL             string    `gorm:"comment:图片地址" json:"img_url"`
}

// TableName get sql table name.获取数据库表名
func (m *YbResearchBanner) TableName() string {
	return "yb_research_banner"
}
